name: CodeOwl
description: >-
  AI-powered code review assistant. Analyzes pull requests for bugs, security
  vulnerabilities, and style issues. Supports Python, TypeScript, Go, and Rust.
  Returns inline suggestions.
version: '1.0'
operations:
  - id: core/code/review
    description: Review
    input_types:
      - application/json
    output_types:
      - application/json
  - id: core/code/debugging
    description: Debugging
    input_types:
      - application/json
    output_types:
      - application/json
contact_methods: null
endpoints:
  - url: https://codeowl.dev/v1/review
    protocol: https
